/*****************************************************************************/
/*                                                                           */
/*  File Name   : GLOBALS.H                                                  */
/*                                                                           */
/*  Copyright (C) 1995 IBM Corporation                                       */
/*                                                                           */
/*      DISCLAIMER OF WARRANTIES.  The following [enclosed] code is          */
/*      sample code created by IBM Corporation. This sample code is not      */
/*      part of any standard or IBM product and is provided to you solely    */
/*      for  the purpose of assisting you in the development of your         */
/*      applications.  The code is provided "AS IS", without                 */
/*      warranty of any kind.  IBM shall not be liable for any damages       */
/*      arising out of your use of the sample code, even if they have been   */
/*      advised of the possibility of such damages.                          */
/*                                                                           */
/*****************************************************************************/

ULONG  CharDesc,
       CharHeight,
       AveCharWidth;
LONG   WindowWidth,
       WindowHeight,
       ScreenWidth,
       ScreenHeight;
PSZ    ValueHeader[MAXCOLS] = { "Date", "Itinerary", "Mileage", "Allow.", "Air",
                                "Code", "Amount", "Total" },
       EmpHeader1[] = { "Employee Name", "Employee Serial", "Employee Signature",
                         "Date" },
       EmpHeader2[] = { "Telephone", "Node/ID", "Dept./Div.", "Internal Zip",
                        "Location", "Bldg" },
       AprvlHeader[] = { "Approval Name", "Approval Signature", "Date" },
       WinClass[MAXCOLS] = { WC_ENTRYFIELD, WC_ENTRYFIELD, WC_ENTRYFIELD,
                             WC_ENTRYFIELD, WC_ENTRYFIELD, WC_COMBOBOX,
                             WC_ENTRYFIELD, WC_ENTRYFIELD },
       Code[] = { "A", "B", "C", "D", "E", "H" };

ULONG  ValueWidth[MAXCOLS] = { 9, 19, 4, 4, 4, 4, 4, 5 },
       Values[MAXROWS][MAXCOLS] = { {0}, {0} },
       FinalTotal,
       ValueSyms[] = {
              IDR_SYMSET_DIGIT | IDR_SYMSET_PUNCTUATION,
              IDR_SYMSET_ALPHAHI | IDR_SYMSET_ALPHALO | IDR_SYMSET_PUNCTUATION,



              IDR_SYMSET_DIGIT,
              IDR_SYMSET_DIGIT | IDR_SYMSET_SPECIAL,
              IDR_SYMSET_DIGIT,
              IDR_SYMSET_ALPHAHI | IDR_SYMSET_ALPHALO,
              IDR_SYMSET_DIGIT,
              IDR_SYMSET_DIGIT },

       EmpWidth1[] = { 14, 9, 24, 9 },
       EmpWidth2[] = { 11, 9, 9, 4, 9, 3 },
       EmpID1[] = { ID_EMPNAME, ID_EMPSRL, ID_EMPSIG, ID_EMPDATE },
       EmpID2[] = { ID_EMPTEL, ID_EMPNODE, ID_EMPDEPT, ID_EMPZIP, ID_EMPLOC,
                    ID_EMPBLDG },
       EmpHeader1Syms[] = {
                IDR_SYMSET_ALPHALO | IDR_SYMSET_ALPHAHI,
                IDR_SYMSET_DIGIT,
                0,
                IDR_SYMSET_DIGIT | IDR_SYMSET_PUNCTUATION },
       EmpHeader2Syms[] = {
                IDR_SYMSET_DIGIT | IDR_SYMSET_PUNCTUATION,
                IDR_SYMSET_ALPHALO | IDR_SYMSET_ALPHAHI | IDR_SYMSET_DIGIT,
                IDR_SYMSET_ALPHALO | IDR_SYMSET_ALPHAHI | IDR_SYMSET_DIGIT,
                IDR_SYMSET_DIGIT,
                IDR_SYMSET_ALPHALO | IDR_SYMSET_ALPHAHI,
                IDR_SYMSET_DIGIT },

       AprvlWidth[] = { 14, 24, 9 },
       AprvlID[] = { ID_APRVLNAME, ID_APRVLSIG, ID_APRVLDATE },
       AprvlHeaderSyms[] = {
                IDR_SYMSET_ALPHALO | IDR_SYMSET_ALPHAHI,
                0,
                IDR_SYMSET_DIGIT | IDR_SYMSET_PUNCTUATION };

HWND   ValueHeaderhWnd [MAXCOLS],
       EmpHeader1hWnd[4],
       EmpHeader2hWnd[6],
       AprvlHeaderhWnd[3],
       MischWnd, ColumnTotalhWnd, TotalhWnd;

/* A 1 indicates there is an accumulater window for the (index+1)th column. */
UCHAR  TotColExist[MAXCOLS] = { 0, 0, 0, 1, 1, 0, 1, 0 };

SWP    swpValue[MAXCOLS];
PFNWP  OldEmpSigProc, OldAprvlSigProc;
